Bug 1293699 - [abrt] ghex: hex_document_get_byte(): ghex killed by SIGSEGV
[abrt] ghex: hex_document_get_byte(): ghex killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ghex (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dodji Seketeli
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ebb8b0f9f20635c0e9b062e74a1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 13:05 EST by James Legg
Modified: 2016-12-20 12:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:18:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.19 KB, text/plain)
2015-12-22 13:05 EST, James Legg
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-22 13:05 EST, James Legg
no flags Details
File: core_backtrace (15.32 KB, text/plain)
2015-12-22 13:05 EST, James Legg
no flags Details
File: dso_list (10.88 KB, text/plain)
2015-12-22 13:05 EST, James Legg
no flags Details
File: environ (1.87 KB, text/plain)
2015-12-22 13:05 EST, James Legg
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-22 13:05 EST, James Legg
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-22 13:05 EST, James Legg
no flags Details
File: maps (53.18 KB, text/plain)
2015-12-22 13:05 EST, James Legg
no flags Details
File: mountinfo (3.37 KB, text/plain)
2015-12-22 13:05 EST, James Legg
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-22 13:05 EST, James Legg
no flags Details
File: open_fds (1.06 KB, text/plain)
2015-12-22 13:05 EST, James Legg
no flags Details
File: proc_pid_status (1009 bytes, text/plain)
2015-12-22 13:05 EST, James Legg
no flags Details
File: var_log_messages (287 bytes, text/plain)
2015-12-22 13:05 EST, James Legg
no flags Details

  None (edit)
Description James Legg 2015-12-22 13:05:34 EST
Description of problem:
I had modified a file opened in ghex externally, then modified the opened file in ghex (without saving the changes), then tried to revert. However, repeating this does not reproduce the crash.

Version-Release number of selected component:
ghex-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        ghex
crash_function: hex_document_get_byte
executable:     /usr/bin/ghex
global_pid:     2537
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 hex_document_get_byte at hex-document.c:477
 #1 format_xblock at gtkhex.c:215
 #2 render_hex_lines at gtkhex.c:708
 #3 hex_draw at gtkhex.c:843
 #4 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:131
 #5 gtk_widget_draw_marshallerv at gtkwidget.c:985
 #6 _g_closure_invoke_va at gclosure.c:864
 #9 _gtk_widget_draw_internal at gtkwidget.c:6824
 #11 _gtk_widget_draw_windows at gtkwidget.c:6933
 #12 _gtk_widget_draw at gtkwidget.c:7007
Comment 1 James Legg 2015-12-22 13:05:40 EST
Created attachment 1108683 [details]
File: backtrace
Comment 2 James Legg 2015-12-22 13:05:41 EST
Created attachment 1108684 [details]
File: cgroup
Comment 3 James Legg 2015-12-22 13:05:43 EST
Created attachment 1108685 [details]
File: core_backtrace
Comment 4 James Legg 2015-12-22 13:05:44 EST
Created attachment 1108686 [details]
File: dso_list
Comment 5 James Legg 2015-12-22 13:05:46 EST
Created attachment 1108687 [details]
File: environ
Comment 6 James Legg 2015-12-22 13:05:47 EST
Created attachment 1108688 [details]
File: exploitable
Comment 7 James Legg 2015-12-22 13:05:48 EST
Created attachment 1108689 [details]
File: limits
Comment 8 James Legg 2015-12-22 13:05:51 EST
Created attachment 1108690 [details]
File: maps
Comment 9 James Legg 2015-12-22 13:05:52 EST
Created attachment 1108691 [details]
File: mountinfo
Comment 10 James Legg 2015-12-22 13:05:53 EST
Created attachment 1108692 [details]
File: namespaces
Comment 11 James Legg 2015-12-22 13:05:55 EST
Created attachment 1108693 [details]
File: open_fds
Comment 12 James Legg 2015-12-22 13:05:56 EST
Created attachment 1108694 [details]
File: proc_pid_status
Comment 13 James Legg 2015-12-22 13:05:57 EST
Created attachment 1108695 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:27:38 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:18:45 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.